Loading...
Searching...
No Matches
gridfire::utils::hashing::reaction Namespace Reference

## Functions

static std::uint64_t | splitmix64 (std::uint64_t x) noexcept
static std::uint64_t | mix_species (const unsigned a, const unsigned z) noexcept
static std::uint64_t | multiset_combine (std::uint64_t acc, const std::uint64_t x) noexcept

## Function Documentation

## mix_species()

static std::uint64_t gridfire::utils::hashing::reaction::mix_species | ( | const unsigned | a,
|  | const unsigned | z
| ) |  |

staticnoexcept

## multiset_combine()

static std::uint64_t gridfire::utils::hashing::reaction::multiset_combine | ( | std::uint64_t | acc,
|  | const std::uint64_t | x
| ) |  |

staticnoexcept

## splitmix64()

static std::uint64_t gridfire::utils::hashing::reaction::splitmix64 | ( | std::uint64_t | x | ) |

staticnoexcept